FROM container-registry.pommalabs.xyz/pommalabs/dotnet:9-sdk

# Add dotnet tools to path.
ENV PATH="${PATH}:/root/.dotnet/tools"

# Install DocFX as a global dotnet tool.
RUN dotnet tool update -g docfx && \
    docfx --version

# Install dependencies required by Chromium, which is used for PDF generation.
RUN apt-get update -qq && \
    apt-get install -y -qq --no-install-recommends \
    libglib2.0-0 libnss3 libnspr4 libatk1.0-0 libatk-bridge2.0-0 libcups2 libdrm2 \
    libdbus-1-3 libxcb1 libxkbcommon0 libatspi2.0-0 libx11-6 libxcomposite1 libxdamage1 \
    libxext6 libxfixes3 libxrandr2 libgbm1 libpango-1.0-0 libcairo2 libasound2 && \ 
    rm -rf /var/lib/apt/lists/* /tmp/*

# Try building test docs. During the build, DocFX downloads Playwright,
# which makes it already available within the Docker image.
COPY ./test-docs /tmp/test-docs
RUN docfx /tmp/test-docs/docfx.json && \
    rm -rf /tmp/test-docs

WORKDIR /opt/prj
VOLUME [ "/opt/prj" ]

ENTRYPOINT [ "docfx" ]
